Package org.eclipse.emf.cdo.spi.common.id

# Interface InternalCDOIDObject

All Superinterfaces:
  `CDOID`, `CDOIDObject`, `Comparable<CDOID>`, `Serializable`

public interface InternalCDOIDObject extends CDOIDObject
If the meaning of this type isn't clear, there really should be more of a description here...

Since:
  3.0
Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.id.CDOID

`CDOID.ObjectType, CDOID.Type`

## Field Summary

### Fields inherited from interface org.eclipse.emf.cdo.common.id.CDOID

`NIL, NULL`

## Method Summary

Modifier and Type
Method
Description
`CDOID.ObjectType`
`getSubType()`

### Methods inherited from interface org.eclipse.emf.cdo.common.id.CDOID

`getType, isDangling, isExternal, isNil, isNull, isObject, isTemporary, toURIFragment`

### Methods inherited from interface java.lang.Comparable

`compareTo`

## Method Details

### getSubType

CDOID.ObjectType getSubType()